import type {
    couponIssuerApplyByAddResponse,
    CouponIssuerApplyByIdResponse
} from '@/api/types/me'
import { http } from '@/http/alova'

/**
 *
 * 发卷人查询审核状态
 */

export function getCouponIssuerApplyById() {
    return http.Get<CouponIssuerApplyByIdResponse>('/couponCenter/APP/couponIssuerApply/queryById')
}

export interface CouponIssuerApplyByAddForm {
    name: string
    phone: string
}
export function couponIssuerApplyByAdd(couponIssuerApplyByAddForm: CouponIssuerApplyByAddForm) {
    return http.Post<couponIssuerApplyByAddResponse>('/couponCenter/APP/couponIssuerApply/add', couponIssuerApplyByAddForm)
}
